Skip to main content
POST
/
v1
/
projects
/
{project_id}
/
graph
/
update
Update Graph
curl --request POST \
  --url https://api.ontora.com/v1/projects/{project_id}/graph/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "nodes": [],
  "edges": [],
  "ukl_refs": []
}
'
{
  "nodes_created": 123,
  "edges_created": 123,
  "refs_created": 123,
  "node_keys": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.ontora.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string<uuid>
required

Body

application/json
message_id
string<uuid> | null
nodes
GraphNodeCreate · object[]
edges
GraphEdgeCreate · object[]
ukl_refs
UklRefCreate · object[]

Response

Successful Response

nodes_created
integer
required
edges_created
integer
required
refs_created
integer
required
node_keys
string[]
required